Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.encryption.pbe.config
Class WebStringPBEConfig

    Object
      org.jasypt.encryption.pbe.config.SimplePBEConfig
          org.jasypt.encryption.pbe.config.WebPBEConfig
              org.jasypt.encryption.pbe.config.WebStringPBEConfig

All Implemented Interfaces:
  PBECleanablePasswordConfig, PBEConfig, StringPBEConfig

    public class WebStringPBEConfig

extends WebPBEConfig
implements StringPBEConfig

Implementation for `StringPBEConfig` which can be used from the Web PBE Config infrastructure (Filter + Servlet) to set the password for an encryptor from the web at initialization time.

For an encryptor to be assigned a password from the web, it only has to be assigned a WebPBEConfig object, which must be initialized with both a unique name an a validation word. The name will identify the config object (and thus the encryptor) and the validation word will make sure that only an authorized person (for example, the application deployer) sets the passwords.

As this class extends `SimplePBEConfig`, parameter values can be also set with the usual `setX` methods.

For any of the configuration parameters, if its `setX` method is not called, a `null` value will be returned by the corresponding `getX` method.

Since:
  1.3
Author:
  Daniel Fernández

Constructor Summary
`WebStringPBEConfig()` Creates a new `WebStringPBEConfig` instance.

Method Summary
`String` | `getStringOutputType()` This parameter lets the user specify the form in which String output will be encoded.
`void` | `setStringOutputType(String stringOutputType)` Sets the the form in which String output will be encoded.

Methods inherited from class org.jasypt.encryption.pbe.config.WebPBEConfig
`getName, getValidationWord, isComplete, setName, setValidationWord`

Methods inherited from class org.jasypt.encryption.pbe.config.SimplePBEConfig
`cleanPassword, getAlgorithm, getKeyObtentionIterations, getPassword, getPasswordCharArray, getPoolSize, getProvider, getProviderName, getSaltGenerator, setAlgorithm, setKeyObtentionIterations, setKeyObtentionIterations, setPassword, setPasswordCharArray, setPoolSize, setPoolSize, setProvider, setProviderClassName, setProviderName, setSaltGenerator, setSaltGeneratorClassName`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasypt.encryption.pbe.config.PBEConfig
`getAlgorithm, getKeyObtentionIterations, getPassword, getPoolSize, getProvider, getProviderName, getSaltGenerator`

Constructor Detail

### WebStringPBEConfig

    public WebStringPBEConfig()

  Creates a new `WebStringPBEConfig` instance.

Method Detail

### setStringOutputType

    public void setStringOutputType(String stringOutputType)

  Sets the the form in which String output will be encoded. Available encoding types are:

  - `base64` (default)
  - `hexadecimal`

  If not set, null will be returned.

  Parameters:
    `stringOutputType` - the string output type.

### getStringOutputType

    public String getStringOutputType()

  Description copied from interface: `StringPBEConfig`

  This parameter lets the user specify the form in which String output will be encoded. Available encoding types are:

  - `base64` (default)
  - `hexadecimal`

  Specified by:
    `getStringOutputType` in interface `StringPBEConfig`
  Returns:
    The name of the encoding type for String output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.